###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: bickley
Summary: Bickley is a meta data management API and framework
Group: Applications/Multimedia
Version: 0.4_20091027
License: LGPLv2.1
URL: http://www.moblin.org
Release: 11.1.moblin2
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gtk-doc)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gstreamer-0.10)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(gupnp-1.0)
BuildRequires: pkgconfig(gupnp-av-1.0)
BuildRequires: pkgconfig(tdb)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(ogg)
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(vorbisfile)
BuildRequires: pkgconfig(id3tag)
BuildRequires: pkgconfig(flac)

BuildRequires: python

Requires: clutter-gtk
Requires: gstreamer
Requires: sqlite
Requires: xdg-user-dirs

%description
Bickley is a meta data management API and framework. The core API allows 
storing and querying of URIs and associating key/value pairs. The core bickley
API in the libbickley library provides shared access to common meta-data
storage. Different processes can access and manipulate the same set of URIs and
meta data about them in parallel

%package doc

Summary: Documentation for Bickley
Group: Development/Libraries


%description doc
Documentation for Bickley

%package devel

Summary: Bickley development environment
Group: Development/Libraries

Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}

%description devel
Development headers and libraries for Bickley

%prep
%setup -q -n %{name}-%{version}

%build
%autogen --enable-gtk-doc --disable-static
export LD_AS_NEEDED=1
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang bickley  || echo -n >> bickley.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas \
    > /dev/null || :
fi

%preun 
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas \
    > /dev/null || :
fi

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas \
  > /dev/null || :

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f bickley.lang
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_sysconfdir}/gconf/schemas/bkl-orbiter.schemas
%{_sysconfdir}/xdg/autostart/bkl-orbiter.desktop
%{_datadir}/dbus-1/services/org.moblin.Bickley.Investigator.service
%{_datadir}/dbus-1/services/org.moblin.Bickley.Orbiter.service
%{_bindir}/bkl-orbiter
%{_bindir}/bkl-rename-user
%{_bindir}/bkl-source-test
%{_bindir}/bkl-client-test
%{_libexecdir}/bkl-investigator
%{_libdir}/*.so.*

%files doc
%defattr(-,root,root,-)
%{_datadir}/doc

%files devel
%defattr(-,root,root,-)
%{_includedir}/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so


%changelog
* Tue Oct 27 2009 <damien.lespiau@gmail.com> 0.4_20091027
- Update to commit 530ca354703f5948abfa915ae1a640d8da5886d5
- Support the AlbumArt.jpg covert art for albums (MB#MB#7260)
* Wed Oct 21 2009 <damien.lespiau@gmail.com> 0.4_20091021
- Update to commit a0f467e52b890839c0fd665f490a9bfa6cc17857
- Set the correct path for the Real libraries
* Fri Oct 16 2009 <damien.lespiau@gmail.com> 0.4_20091016
- Update to commit 074692609bb85ad4f55e3d2dfe757fa94128951b
- Fix crasher (MB#5456) for good
* Thu Oct 15 2009 <damien.lespiau@gmail.com> 0.4_20091015
- Update to commit 8c9484979996d6e9e0c9ca8a7925bf15cac0346a
- Fix a crash in bkl-investigator (#5456)
* Wed Oct  7 2009 <damien.lespiau@gmail.com> 0.4_20091007
- Update to commit b70c39a570b6390235ab14e1fd8304a5a532ecd8
- Remove 2.0 patches
- Merge Helix support (compilation option disabled by default)
* Sat Aug 22 2009 Ross Burton <ross@linux.intel.com> - 0.4~20090724
- Use ctime instead of mtime when scaning (#5069)
* Fri Jul 31 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090724
- Fix #4829 - Photos never show up in Media Player
* Wed Jul 29 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090724
- Drop clutter-gst requirement as bickley does not need it
* Tue Jul 28 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090724
- Fix #4801 - Sometimes new-added video contents can't be shown in hornsey
* Fri Jul 24 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090724
- Update to commit 3cbd5ef693c117ad5c094ddd1678a1a04d0feae3
- Handle missing codecs for audio metadata (Fixes #4382)
* Thu Jul 23 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090723
- Update to commit 408f082a3d8cbe0056429490cafd190360f0281c
- Don't try to cancel the investigator when it isn't running (Fixes #4577)
- Don't get stuck in loop when we find a video we don't know how to handle
  (Hopefully fixes #4382)
* Mon Jul 20 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090720
- Update to commit 249ba8ca61384fc5cc2c2f611168fb49ec377ce4
- Cancel uris when USB drives get unmount requests
- Update the initial database to have the correct XDG dirs in the uris
  for i18n (Fixes #4391)
- Check whether a video frame thumbnail is interesting
* Fri Jul 10 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090710
- Update to commit f4484ec4fd2bce120a5dc38a4a9767bf01e143bd
- Add OnlyShowIn key in the desktop file
- Fix #4110 - don't free unallocated memory
* Mon Jun 29 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090629
- Update to commit a06d7421942ec3be2060ae262798a9c2ca66434a
- Add a foreach function and modify the callback so that the caller can stop
  the database traversal in the middle
* Fri Jun 26 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090626
- Update to commit c216e71835c41a30f48b875bdf3b588d2e13ae98
- Make the Upnp debugging conditional
* Tue Jun 23 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090623
- Update to commit 6c41192b20e7baa9eda8feb006e6a2a43093f826
- Buf fixes (#3643, #3703, #3393)
* Tue Jun 16 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090616
- Update to commit 5e37805779c153fdf9814bf21f1030ebc276cb03
- Bug fixes (memory leaks, speed improvements, GError handling)
* Tue Jun  9 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090609
- Update to commit bfcb3ec0a16d785ef8a09fffdb9a55706b94c1b7
- Fix memory leaks
* Tue May 26 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090526
- Update to commit de9431b7c6040bc3731157c05947159ad2c7a0a9
- Install a tool to change the username portion of the path in a kozo
  data base
* Mon May 18 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090518
- Update to commit d3e4d53a6077cbd6173d6170424291a64224a382
- Fix index changed signal so apps don't need to keep reading DB
- Remove debugging spew
- Change the Index API to use a GSequence instead of a GPtrArray
- Fixed 2 crashers trying to dereference NULL
* Fri May 15 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090515
- Update to commit cb934830b30b62a21ad58d8087ebbb6fe255f955
- Use the correct marshaller function
* Fri May 15 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090515
- Update to commit 504f165453dd7bd7c8e43978d2adcabb2b342055
- Do a substring search for folder|cover|front in filename when looking
  for coverart
* Thu May 14 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090514
- Update to commit d7aa5b28344779294350c33a097b611348c99897
- Fixes a crasher in hornsey
* Tue May 12 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090512
- Update to commit 7679e65f28181ec49ee6a35564fd1c247243dd66
- Allow USB devices to be unmounted correctly
- LD_AS_NEEDED support
* Mon May 11 2009 Damien Lespiau <damien.lespiau@intel.com> 0.4~20090511
- Update to commit c3f5e792c044ac49ec75bbed5460c5ed834fe4ea
- Use async D-Bus methods, bump to 0.4
* Wed May  6 2009 Damien Lespiau <damien.lespiau@intel.com> 0.3~20090506
- Update to commit 38dcefa2936e27ba639c5255b3b1f88adfae1d1d
- Start the orbiter when creating a Source Manager Client
- Reduce the amount of lock/unlocks when not actually touching the DB
* Wed Apr 29 2009 Damien Lespiau <damien.lespiau@intel.com> 0.3~20090429
- small temporary patch from Arjan to prevent a segfault
* Wed Apr 29 2009 Damien Lespiau <damien.lespiau@intel.com> 0.3~20090429
- Update to commit 5002f3daa9a70c89a7fc2446d22b6f254195d065
- Fix some crashers with automount
- Rework of the API
- Index covers in music files
* Tue Apr 14 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090414
- Update to commit 83a2928485437797aa442ae889f0e80968565100
- Use series name instead of title
- Try to parse video filenames to extract series name, season and episode
  info from them
- Big Remove of GPL code
* Sat Apr  4 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090404
- Update to commit c76484893d1fa0b6cfb56f5b00cca08c4d8dce17
- Add a word indexer for searching through the DB
- Lower the Orbiter worker priority
- Try to get a useful video thumbnail, avoiding solid-colour images
- Don't try to call strtol on a NULL string (Fixes bug#1485)
* Wed Mar 25 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090325
- Update to commit 9a8f2e66ae4e6fee41d236c4bb9ec757d7fcdddc
* Mon Mar 23 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090323
- Update to commit f8b766f7ea5c0c218a97d76c732c8f57d40970f1
* Fri Mar 20 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090320
- Update to commit f8b766f7ea5c0c218a97d76c732c8f57d40970f1
* Fri Mar 20 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090320
- Update to commit b5eff83024503e1cb500b658ce69032b301b7597
- Fixes #1292
* Thu Mar 19 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090319
- Update to commit 8210222e3dae1e7d95f1893c7e7e1236ebedb7e0
* Wed Mar 11 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090311
- Update to commit 229010c9ef1f7ed71a8e88bd3e544b865f0a2c3a
* Tue Mar 10 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090310
- Update to commit d9d043f58b71ffca9f518691a9de4fc01cc734ea
* Mon Mar  9 2009 Anas Nashif <anas.nashif@intel.com> 0.2~20090309
- Fixed bug #1157
* Mon Mar  9 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090309
- Update to commit 6775f783d696e4f6e7645199495a19f17b8f182c
* Mon Mar  9 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090309
- Update to commit f42bddc95e21070ec56ed77b00ff2fa371aed856
* Mon Mar  9 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090309
- Update to commit f42bddc95e21070ec56ed77b00ff2fa371aed856
- Package dbus activation files
* Thu Feb 26 2009 Damien Lespiau <damien.lespiau@intel.com> 0.2~20090226
- Update bickley to commit 423a694a0c06e64bff319892aee80c29967260c8
- Add xdg-user-dirs as runtime dependency
* Wed Feb 25 2009 Damien Lespiau <damien.lespiau@intel.com> 20090225
- Update to commit 5474cbb4 of git://git.moblin.org/bickley
* Wed Feb 18 2009 Joshua Lock <josh@linux.intel.com>
- Update to 0.2.0
* Mon Feb  2 2009 Arjan van de Ven <arjan@linux.intel.com>
- start bkl-investigator as both nice and ionice
* Mon Jan 19 2009 Joshua Lock <josh@linux.intel.com>
- Package D-Bus service file for investigator daemon
* Fri Jan 16 2009 Joshua Lock <josh@linux.intel.com>
- Updating to version 0.1.0
* Tue Jan 13 2009 Rusty Lynch <rusty.lynch@intel.com> 20090109
- Updating to version 0.0.1
  * Dec 17 2008 Joshua Lock <josh@linux.intel.com>
- Use specbuilder
  * Dec 04 2008 Joshua Lock <josh@linux.intel.com> git
- Build a git snapshot of bickley
